//CONSTANTES

//VARIABLES 
var btnAcceder = document.getElementById('btnAcceder');
var txtUsuario = document.getElementById('txtUsuario');
var txtPass = document.getElementById('txtPass');


//FUNCIONES
function iniciarSesion() {

    var bandera = 1;
    var dt = new Date();

    // Display the month, day, and year. getMonth() returns a 0-based number.
    var month = dt.getMonth() + 1;
    var day = dt.getDate();
    var year = dt.getFullYear();
    var fecha = (day + '/' + month + '/' + year);

    if ("20/05/2020" == fecha) {
        alert("LA LICENCIA VENCE EN UN MES. POR FAVOR COMUNICARSE CON EL LICENCIANTE.");
    }

    if ("13/06/2020" == fecha) {
        alert("LA LICENCIA VENCE EN UNA SEMANA. POR FAVOR COMUNICARSE CON EL LICENCIANTE.");
    }

    if ("20/06/2020" == fecha) {
        alert("LA LICENCIA VENCE HOY. POR FAVOR COMUNICARSE CON EL LICENCIANTE.");
    }

    if ("21/06/2020" == fecha) {
        alert("EL SOFTWARE YA NO PUEDE SER USADO. POR FAVOR COMUNICARSE CON EL LICENCIANTE.");
        bandera = 0;
    }

    debugger;
    if (bandera == 1) {
        var param_opcion = 'iniciarSesion';
        var param_usuario = txtUsuario.value;
        var param_pass = txtPass.value;

        $.ajax({
            type: 'POST',
            data: 'param_opcion=' + param_opcion +
                    '&param_usuario=' + param_usuario +
                    '&param_pass=' + param_pass,
            url: 'controller/controlAcceso/controlUsuario.php',
            success: function (data) {
                if (data == '1') {
                    location.href = "main.php";
                } else {
                    alert(data + '.');

                }
            },
            error: function (data) {
                alert('Error al mostrar');
            }
        });
    }
}




function alCargarDocumento() {
    btnAcceder.addEventListener("click", iniciarSesion);

    $("#txtUsuario").keyup(function (event) {
        if (event.keyCode === 13) {
            iniciarSesion();
        }
    });

    $("#txtPass").keyup(function (event) {
        if (event.keyCode === 13) {
            iniciarSesion();
        }
    });
}

//EVENTOS
window.addEventListener("load", alCargarDocumento);